package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 老师可排课时间表(TeacherFreeTime)表实体类
 *
 * @author zx
 * @since 2022-03-25 10:04:27
 */
@ApiModel(value = "teacher_free_time-老师可排课时间表")
public class TeacherFreeTime implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师编号;")
    private Long teacherId;

    @NotNull(message = "课间休息分钟数不可为空")
    @TableField("free_minutes_")
    @ApiModelProperty(value = "课间休息分钟数")
    private Integer freeMinutes;

    @NotNull(message = "单课时分钟数不可为空")
    @TableField("course_minutes_")
    @ApiModelProperty(value = "单课时分钟数")
    private Integer courseMinutes;

    @TableField("skip_holiday_flag_")
    @ApiModelProperty(value = "是否跳过节假日1是0否")
    private Boolean skipHolidayFlag = false;

    @NotBlank(message = "声部单课时金额不可为空")
    @TableField("subject_price_")
    @ApiModelProperty(value = "声部单课时金额:[{'subjectId':1,'subjectPrice':100.88,'subjectName':'西洋管乐'},{'subjectId':2,'subjectPrice':200.88,'subjectName':'长笛'}]")
    private String subjectPrice;

    @TableField("monday_")
    @ApiModelProperty(value = "周一;数据结构[{'startTime':'08:00:00'','endTime':'08:30:00'}];")
    private String monday;

    @TableField("tuesday_")
    @ApiModelProperty(value = "周二;")
    private String tuesday;

    @TableField("wednesday_")
    @ApiModelProperty(value = "周三;")
    private String wednesday;

    @TableField("thursday_")
    @ApiModelProperty(value = "周四;")
    private String thursday;

    @TableField("friday_")
    @ApiModelProperty(value = "周五;")
    private String friday;

    @TableField("saturday_")
    @ApiModelProperty(value = "周六;")
    private String saturday;

    @TableField("sunday_")
    @ApiModelProperty(value = "周日;")
    private String sunday;

    @TableField("default_flag_")
    @ApiModelProperty(value = "是否默认配置")
    private Boolean defaultFlag = true;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间;")
    private Date updateTime;

    public Boolean getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Boolean defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getFreeMinutes() {
        return freeMinutes;
    }

    public void setFreeMinutes(Integer freeMinutes) {
        this.freeMinutes = freeMinutes;
    }

    public Integer getCourseMinutes() {
        return courseMinutes;
    }

    public void setCourseMinutes(Integer courseMinutes) {
        this.courseMinutes = courseMinutes;
    }

    public Boolean getSkipHolidayFlag() {
        return skipHolidayFlag;
    }

    public void setSkipHolidayFlag(Boolean skipHolidayFlag) {
        this.skipHolidayFlag = skipHolidayFlag;
    }

    public String getSubjectPrice() {
        return subjectPrice;
    }

    public void setSubjectPrice(String subjectPrice) {
        this.subjectPrice = subjectPrice;
    }

    public String getMonday() {
        return monday;
    }

    public void setMonday(String monday) {
        this.monday = monday;
    }

    public String getTuesday() {
        return tuesday;
    }

    public void setTuesday(String tuesday) {
        this.tuesday = tuesday;
    }

    public String getWednesday() {
        return wednesday;
    }

    public void setWednesday(String wednesday) {
        this.wednesday = wednesday;
    }

    public String getThursday() {
        return thursday;
    }

    public void setThursday(String thursday) {
        this.thursday = thursday;
    }

    public String getFriday() {
        return friday;
    }

    public void setFriday(String friday) {
        this.friday = friday;
    }

    public String getSaturday() {
        return saturday;
    }

    public void setSaturday(String saturday) {
        this.saturday = saturday;
    }

    public String getSunday() {
        return sunday;
    }

    public void setSunday(String sunday) {
        this.sunday = sunday;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

